package cn.com.ctop.reimburse.mondule.service.impl;

import cn.com.ctop.reimburse.mondule.entity.ReimburseApplyProcess;
import cn.com.ctop.reimburse.mondule.mapper.ReimburseApplyProcessMapper;
import cn.com.ctop.reimburse.mondule.service.IReimburseApplyProcessService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class ReimburseApplyProcessServiceImpl extends ServiceImpl<ReimburseApplyProcessMapper, ReimburseApplyProcess> implements IReimburseApplyProcessService {

    @Override
    public List<JSONObject> queryProcess(Long applyId) {
        return baseMapper.queryProcess(applyId);
    }

    @Override
    public List<ReimburseApplyProcess> getListByApplyId(Long applyId) {
        return baseMapper.getListByApplyId(applyId);
    }

    @Override
    public void deleteByApplyId(Long applyId) {
        baseMapper.deleteByApplyId(applyId);
    }
}
